Package org.apache.calcite.avatica.util

# Class AbstractCursor.AbstractGetter

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

All Implemented Interfaces:
  `AbstractCursor.Getter`

Direct Known Subclasses:
  `PositionedCursor.ArrayGetter`, `PositionedCursor.FieldGetter`, `PositionedCursor.ListGetter`, `PositionedCursor.MapGetter`, `PositionedCursor.ObjectGetter`

Enclosing class:
  AbstractCursor

protected abstract class AbstractCursor.AbstractGetter extends Object implements AbstractCursor.Getter
Abstract implementation of `AbstractCursor.Getter`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractGetter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.util.AbstractCursor.Getter

`getObject`

## Constructor Details

### AbstractGetter

protected AbstractGetter()

## Method Details

### wasNull

public boolean wasNull() throws SQLException

Specified by:
  `wasNull` in interface `AbstractCursor.Getter`
Throws:
  `SQLException`